package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;
import java.util.Set;

/**
 * 课程对象 course_table
 * 
 * @author ruoyi
 * @date 2023-05-24
 */
public class CourseTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 学校id */
    private String schoolId;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String schoolName;

    /** 班级id */
    private String classId;

    /** 班级名称 */
    @Excel(name = "班级名称")
    private String className;

    /** 周几：1：周一，2：周二，3：周三，4：周四，5：周五 */
    @Excel(name = "周几：1：周一，2：周二，3：周三，4：周四，5：周五")
    private String week;

    /** 第一节课 */
    @Excel(name = "第一节课")
    private String oneClass;

    /** 第一节课老师 */
    @Excel(name = "第一节课老师")
    private String oneTeacher;

    /** 第二节课 */
    @Excel(name = "第二节课")
    private String twoClass;

    /** 第二节课老师 */
    @Excel(name = "第二节课老师")
    private String twoTeacher;

    /** 第三节课 */
    @Excel(name = "第三节课")
    private String threeClass;

    /** 第三节课老师 */
    @Excel(name = "第三节课老师")
    private String threeTeacher;

    /** 第四节课 */
    @Excel(name = "第四节课")
    private String fourClass;

    /** 第四节课老师 */
    @Excel(name = "第四节课老师")
    private String fourTeacher;

    /** 第五节课 */
    @Excel(name = "第五节课")
    private String fiveClass;

    /** 第五节课老师 */
    @Excel(name = "第五节课老师")
    private String fiveTeacher;

    /** 第六节课 */
    @Excel(name = "第六节课")
    private String sixClass;

    /** 第六节课老师 */
    @Excel(name = "第六节课老师")
    private String sixTeacher;

    /** 第七节课 */
    @Excel(name = "第七节课")
    private String sevenClass;

    /** 第七节课老师 */
    @Excel(name = "第七节课老师")
    private String sevenTeacher;

    /** 第八节课 */
    @Excel(name = "第八节课")
    private String eightClass;

    /** 第八节课老师 */
    @Excel(name = "第八节课老师")
    private String eightTeacher;

    /** 被调的课程 */
    Set<Long> classNum;

    public Set<Long> getClassNum() {
        return classNum;
    }

    public void setClassNum(Set<Long> classNum) {
        this.classNum = classNum;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(String schoolId) 
    {
        this.schoolId = schoolId;
    }

    public String getSchoolId() 
    {
        return schoolId;
    }
    public void setSchoolName(String schoolName) 
    {
        this.schoolName = schoolName;
    }

    public String getSchoolName() 
    {
        return schoolName;
    }
    public void setClassId(String classId) 
    {
        this.classId = classId;
    }

    public String getClassId() 
    {
        return classId;
    }


    public String getClassName() 
    {
        return className;
    }
    public void setWeek(String week) 
    {
        this.week = week;
    }

    public String getWeek() 
    {
        return week;
    }
    public void setOneClass(String oneClass) 
    {
        this.oneClass = oneClass;
    }

    public String getOneClass() 
    {
        return oneClass;
    }
    public void setOneTeacher(String oneTeacher) 
    {
        this.oneTeacher = oneTeacher;
    }

    public String getOneTeacher() 
    {
        return oneTeacher;
    }
    public void setTwoClass(String twoClass) 
    {
        this.twoClass = twoClass;
    }

    public String getTwoClass() 
    {
        return twoClass;
    }
    public void setTwoTeacher(String twoTeacher) 
    {
        this.twoTeacher = twoTeacher;
    }

    public String getTwoTeacher() 
    {
        return twoTeacher;
    }
    public void setThreeClass(String threeClass) 
    {
        this.threeClass = threeClass;
    }

    public String getThreeClass() 
    {
        return threeClass;
    }
    public void setThreeTeacher(String threeTeacher) 
    {
        this.threeTeacher = threeTeacher;
    }

    public String getThreeTeacher() 
    {
        return threeTeacher;
    }
    public void setFourClass(String fourClass) 
    {
        this.fourClass = fourClass;
    }

    public String getFourClass() 
    {
        return fourClass;
    }
    public void setFourTeacher(String fourTeacher) 
    {
        this.fourTeacher = fourTeacher;
    }

    public String getFourTeacher() 
    {
        return fourTeacher;
    }
    public void setFiveClass(String fiveClass) 
    {
        this.fiveClass = fiveClass;
    }

    public String getFiveClass() 
    {
        return fiveClass;
    }
    public void setFiveTeacher(String fiveTeacher) 
    {
        this.fiveTeacher = fiveTeacher;
    }

    public String getFiveTeacher() 
    {
        return fiveTeacher;
    }
    public void setSixClass(String sixClass) 
    {
        this.sixClass = sixClass;
    }

    public String getSixClass() 
    {
        return sixClass;
    }
    public void setSixTeacher(String sixTeacher) 
    {
        this.sixTeacher = sixTeacher;
    }

    public String getSixTeacher() 
    {
        return sixTeacher;
    }
    public void setSevenClass(String sevenClass) 
    {
        this.sevenClass = sevenClass;
    }

    public String getSevenClass() 
    {
        return sevenClass;
    }
    public void setSevenTeacher(String sevenTeacher) 
    {
        this.sevenTeacher = sevenTeacher;
    }

    public String getSevenTeacher() 
    {
        return sevenTeacher;
    }
    public void setEightClass(String eightClass) 
    {
        this.eightClass = eightClass;
    }

    public String getEightClass() 
    {
        return eightClass;
    }
    public void setEightTeacher(String eightTeacher) 
    {
        this.eightTeacher = eightTeacher;
    }

    public String getEightTeacher() 
    {
        return eightTeacher;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolId", getSchoolId())
            .append("schoolName", getSchoolName())
            .append("classId", getClassId())
            .append("className", getClassName())
            .append("week", getWeek())
            .append("oneClass", getOneClass())
            .append("oneTeacher", getOneTeacher())
            .append("twoClass", getTwoClass())
            .append("twoTeacher", getTwoTeacher())
            .append("threeClass", getThreeClass())
            .append("threeTeacher", getThreeTeacher())
            .append("fourClass", getFourClass())
            .append("fourTeacher", getFourTeacher())
            .append("fiveClass", getFiveClass())
            .append("fiveTeacher", getFiveTeacher())
            .append("sixClass", getSixClass())
            .append("sixTeacher", getSixTeacher())
            .append("sevenClass", getSevenClass())
            .append("sevenTeacher", getSevenTeacher())
            .append("eightClass", getEightClass())
            .append("eightTeacher", getEightTeacher())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
